com.orsoncharts.style

## Class ChartStyler

- java.lang.Object
- - com.orsoncharts.style.ChartStyler

- All Implemented Interfaces:
    ChartElementVisitor

      public class ChartStyler
      extends java.lang.Object
      implements ChartElementVisitor

  A `ChartElementVisitor` that applies a chart style to the elements of a chart.
  Since:
    1.2

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ChartStyler(ChartStyle style)` Creates a new instance.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `styleAxis(Axis3D axis)` Applies the current style to the axis.
    `protected void` | `styleCategoryAxis(CategoryAxis3D axis)`
    `protected void` | `styleCategoryRenderer3D(CategoryRenderer3D renderer)`
    `protected void` | `styleChart(Chart3D chart)` Applies the current style to a chart.
    `protected void` | `styleMarker(Marker marker)`
    `protected void` | `stylePlot(Plot3D plot)` Applies the current style to the plot.
    `protected void` | `styleRenderer(Renderer3D renderer)`
    `protected void` | `styleValueAxis(ValueAxis3D axis)`
    `protected void` | `styleXYZRenderer(XYZRenderer renderer)`
    `void` | `visit(ChartElement element)` Visits a chart element and applies the current style to that element.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ChartStyler

          public ChartStyler(ChartStyle style)

      Creates a new instance.
      Parameters:
        `style` - the style (`null` not permitted).

  - ### Method Detail

    - #### visit

          public void visit(ChartElement element)

      Visits a chart element and applies the current style to that element.
      Specified by:
        `visit` in interface `ChartElementVisitor`
      Parameters:
        `element` - the chart element (never `null`).

    - #### styleChart

          protected void styleChart(Chart3D chart)

      Applies the current style to a chart.
      Parameters:
        `chart` - the chart (`null` not permitted).

    - #### stylePlot

          protected void stylePlot(Plot3D plot)

      Applies the current style to the plot.
      Parameters:
        `plot` - the plot (`null` not permitted).

    - #### styleAxis

          protected void styleAxis(Axis3D axis)

      Applies the current style to the axis.
      Parameters:
        `axis` - the axis (`null` not permitted).

    - #### styleCategoryAxis

          protected void styleCategoryAxis(CategoryAxis3D axis)

    - #### styleValueAxis

          protected void styleValueAxis(ValueAxis3D axis)

    - #### styleRenderer

          protected void styleRenderer(Renderer3D renderer)

    - #### styleCategoryRenderer3D

          protected void styleCategoryRenderer3D(CategoryRenderer3D renderer)

    - #### styleXYZRenderer

          protected void styleXYZRenderer(XYZRenderer renderer)

    - #### styleMarker

          protected void styleMarker(Marker marker)